function clearform()
{
lreg=nhd+nrd*ncd+lin*(ncd+1)
for (i=0;i<lreg;i++)
{
	document.%sform.elements[i].value=""
	if(document.%sform.elements[i].type=="checkbox")
		document.%sform.elements[i].checked=false
}
document.%sform.elements[i++].disabled=false
document.%sform.elements[i++].disabled=true
document.%sform.elements[0].readOnly=false
tp=0
for (j=i;j< document.%sform.elements.length;j++)
if(document.%sform.elements[j].type=="text") document.%sform.elements[j].value=""
swapout()
}
